{
  "criteria": {
    "item": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "items": "minecraft:pink_dye"
          }
        ]
      }
    }
  },
  "requirements": [
    [
      "item"
    ]
  ],
  "rewards": {
    "function": "bordercraft:once/item/pink_dye"
  }
}